diff --git a/src/main/java/net/minecraft/client/render/block/model/BlockModelRedstoneWire.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelRedstoneWire.java
index 93be5df8f..6f26e65b5 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BlockModelRedstoneWire.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelRedstoneWire.java
@@ -1,8 +1,8 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.IconCoordinate;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.util.helper.Colors;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockRedstoneWire;
diff --git a/src/main/java/net/minecraft/client/render/block/model/BlockModelRepeater.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelRepeater.java
index 76e0c5be0..a066dbe3f 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BlockModelRepeater.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelRepeater.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.IconCoordinate;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockRedstoneRepeater;
 import net.minecraft.core.util.helper.Side;
diff --git a/src/main/java/net/minecraft/client/render/block/model/BlockModelRope.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelRope.java
index b76f7f84f..cd322e604 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BlockModelRope.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelRope.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.tessalator.Tessellator;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockLanternFirefly;
 import net.minecraft.core.block.BlockRope;
diff --git a/src/main/java/net/minecraft/client/render/block/model/BlockModelSeat.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelSeat.java
index bf01b719c..cee6a8afd 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BlockModelSeat.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelSeat.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.tessalator.Tessellator;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/BlockModelSpikes.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelSpikes.java
index 2716a2b6c..83e37bfae 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BlockModelSpikes.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelSpikes.java
@@ -1,8 +1,8 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.stitcher.IconCoordinate;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockSpikes;
 import net.minecraft.core.util.helper.Side;
diff --git a/src/main/java/net/minecraft/client/render/block/model/BlockModelStairs.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelStairs.java
index 997b2ee50..cd7ed3bd2 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BlockModelStairs.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelStairs.java
@@ -1,8 +1,8 @@
 package net.minecraft.client.render.block.model;
 
 import net.minecraft.client.render.block.color.BlockColorDispatcher;
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.IconCoordinate;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockStairs;
 import net.minecraft.core.util.helper.Side;
diff --git a/src/main/java/net/minecraft/client/render/block/model/BlockModelStandard.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelStandard.java
index 0ea591b0b..eb14593e3 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BlockModelStandard.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelStandard.java
@@ -1,8 +1,8 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.IconCoordinate;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.block.color.BlockColorDispatcher;
 import net.minecraft.core.block.Block;
diff --git a/src/main/java/net/minecraft/client/render/block/model/BlockModelTorch.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelTorch.java
index 7d046bb50..b76c4bb37 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BlockModelTorch.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelTorch.java
@@ -1,8 +1,8 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.stitcher.IconCoordinate;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/BlockModelTrapDoor.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelTrapDoor.java
index b484f9e34..882e13fda 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BlockModelTrapDoor.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelTrapDoor.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.render.block.model;
 
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.IconCoordinate;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockTrapDoor;
 import net.minecraft.core.util.helper.Axis;
diff --git a/src/main/java/net/minecraft/client/render/entity/ArrowRenderer.java b/src/main/java/net/minecraft/client/render/entity/ArrowRenderer.java
index 6c6bd7ace..954d1491d 100644
--- a/src/main/java/net/minecraft/client/render/entity/ArrowRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/ArrowRenderer.java
@@ -1,7 +1,6 @@
 package net.minecraft.client.render.entity;
 
-import net.minecraft.client.render.tessalator.Tessellator;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.projectile.EntityArrow;
 import net.minecraft.core.util.helper.MathHelper;
 import org.lwjgl.opengl.GL11;
@@ -17,7 +16,7 @@ public class ArrowRenderer extends EntityRenderer<EntityArrow>
         GL11.glTranslatef((float)x, (float)y, (float)z);
         GL11.glRotatef((arrow.yRotO + (arrow.yRot - arrow.yRotO) * partialTick) - 90F, 0.0F, 1.0F, 0.0F);
         GL11.glRotatef(arrow.xRotO + (arrow.xRot - arrow.xRotO) * partialTick, 0.0F, 0.0F, 1.0F);
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
 
         int arrowType;
         if (arrow.getArrowType() == 2)
diff --git a/src/main/java/net/minecraft/client/render/entity/BoatRenderer.java b/src/main/java/net/minecraft/client/render/entity/BoatRenderer.java
index bc5ca629c..e2ed8ae80 100644
--- a/src/main/java/net/minecraft/client/render/entity/BoatRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/BoatRenderer.java
@@ -4,8 +4,8 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.TileEntityRenderDispatcher;
 import net.minecraft.client.render.model.ModelBase;
 import net.minecraft.client.render.model.ModelBoat;
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.tileentity.TileEntityRendererFlag;
 import net.minecraft.core.entity.vehicle.EntityBoat;
 import net.minecraft.core.util.helper.MathHelper;
diff --git a/src/main/java/net/minecraft/client/render/entity/BobberRenderer.java b/src/main/java/net/minecraft/client/render/entity/BobberRenderer.java
index 52b258a1b..6907c70c0 100644
--- a/src/main/java/net/minecraft/client/render/entity/BobberRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/BobberRenderer.java
@@ -1,16 +1,15 @@
 package net.minecraft.client.render.entity;
 
-import net.minecraft.client.render.tessalator.Tessellator;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
 import net.minecraft.client.render.stitcher.IconCoordinate;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.EntityBobber;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.phys.Vec3d;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
-//            Render, TessellatorStandard, RenderManager, EntityFish,
+//            Render, Tessellator, RenderManager, EntityFish,
 //            EntityPlayer, MathHelper, Vec3D, GameSettings, 
 //            Entity
 
@@ -30,7 +29,7 @@ public class BobberRenderer extends EntityRenderer<EntityBobber>
         GL11.glScalef(0.5F, 0.5F, 0.5F);
         TextureRegistry.particleAtlas.bindTexture();
         IconCoordinate bobber = TextureRegistry.getTexture("minecraft:particle/bobber");
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         float f2 = (float) bobber.getIconUMin();
         float f3 = (float) bobber.getIconUMax();
         float f4 = (float) bobber.getIconVMin();
diff --git a/src/main/java/net/minecraft/client/render/entity/CannonballRenderer.java b/src/main/java/net/minecraft/client/render/entity/CannonballRenderer.java
index f50f2e07b..5a0b70832 100644
--- a/src/main/java/net/minecraft/client/render/entity/CannonballRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/CannonballRenderer.java
@@ -2,12 +2,12 @@ package net.minecraft.client.render.entity;
 
 import net.minecraft.client.render.model.ModelBase;
 import net.minecraft.client.render.model.ModelCannonball;
-import net.minecraft.client.render.tessalator.Tessellator;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.projectile.EntityCannonball;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
-//            Render, TessellatorStandard, MathHelper,
+//            Render, Tessellator, MathHelper,
 //            Entity
 
 public class CannonballRenderer extends EntityRenderer<EntityCannonball>
diff --git a/src/main/java/net/minecraft/client/render/entity/ChickenRenderer.java b/src/main/java/net/minecraft/client/render/entity/ChickenRenderer.java
index 97a3181e0..ec72acb65 100644
--- a/src/main/java/net/minecraft/client/render/entity/ChickenRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/ChickenRenderer.java
@@ -6,7 +6,7 @@ package net.minecraft.client.render.entity;
 //            EntityLiving, Entity
 
 import net.minecraft.client.render.model.ModelBase;
-import net.minecraft.client.render.tessalator.Tessellator;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.animal.EntityChicken;
 import net.minecraft.core.util.helper.MathHelper;
 
diff --git a/src/main/java/net/minecraft/client/render/entity/CowRenderer.java b/src/main/java/net/minecraft/client/render/entity/CowRenderer.java
index 194d522ab..038036d44 100644
--- a/src/main/java/net/minecraft/client/render/entity/CowRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/CowRenderer.java
@@ -6,7 +6,7 @@ package net.minecraft.client.render.entity;
 //            Entity
 
 import net.minecraft.client.render.model.ModelBase;
-import net.minecraft.client.render.tessalator.Tessellator;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.animal.EntityCow;
 
 public class CowRenderer extends LivingRenderer<EntityCow>
diff --git a/src/main/java/net/minecraft/client/render/entity/DefaultRenderer.java b/src/main/java/net/minecraft/client/render/entity/DefaultRenderer.java
index 5fbf75694..a1e3f81f6 100644
--- a/src/main/java/net/minecraft/client/render/entity/DefaultRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/DefaultRenderer.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.render.entity;
 
-import net.minecraft.client.render.tessalator.Tessellator;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.Entity;
 import org.lwjgl.opengl.GL11;
 
diff --git a/src/main/java/net/minecraft/client/render/entity/EntityRenderer.java b/src/main/java/net/minecraft/client/render/entity/EntityRenderer.java
index e2ffd69e5..18da082d4 100644
--- a/src/main/java/net/minecraft/client/render/entity/EntityRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/EntityRenderer.java
@@ -9,8 +9,7 @@ import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.RenderEngine;
 import net.minecraft.client.render.stitcher.IconCoordinate;
 import net.minecraft.client.render.stitcher.TextureRegistry;
-import net.minecraft.client.render.tessalator.Tessellator;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.Global;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.entity.Entity;
@@ -221,7 +220,7 @@ public abstract class EntityRenderer<T extends Entity>
 
     public static void renderAABB(AABB axisalignedbb)
     {
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
         tessellator.addVertex(axisalignedbb.minX, axisalignedbb.maxY, axisalignedbb.minZ);
         tessellator.addVertex(axisalignedbb.maxX, axisalignedbb.maxY, axisalignedbb.minZ);
diff --git a/src/main/java/net/minecraft/client/render/entity/FallingSandRenderer.java b/src/main/java/net/minecraft/client/render/entity/FallingSandRenderer.java
index b7ef951e0..a52429354 100644
--- a/src/main/java/net/minecraft/client/render/entity/FallingSandRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/FallingSandRenderer.java
@@ -2,8 +2,8 @@ package net.minecraft.client.render.entity;
 
 import net.minecraft.client.render.RenderBlocks;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.EntityFallingSand;
 import net.minecraft.core.world.World;
 import net.minecraft.core.block.Block;
diff --git a/src/main/java/net/minecraft/client/render/entity/FireballRenderer.java b/src/main/java/net/minecraft/client/render/entity/FireballRenderer.java
index 6ea824b68..8f306a11f 100644
--- a/src/main/java/net/minecraft/client/render/entity/FireballRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/FireballRenderer.java
@@ -1,15 +1,14 @@
 package net.minecraft.client.render.entity;
 
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
-import net.minecraft.client.render.tessalator.Tessellator;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
 import net.minecraft.client.render.stitcher.IconCoordinate;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.projectile.EntityFireball;
 import net.minecraft.core.item.Item;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
-//            Render, Item, TessellatorStandard, RenderManager,
+//            Render, Item, Tessellator, RenderManager,
 //            EntityFireball, Entity
 
 public class FireballRenderer extends EntityRenderer<EntityFireball>
@@ -31,7 +30,7 @@ public class FireballRenderer extends EntityRenderer<EntityFireball>
         GL11.glScalef(scalar, scalar, scalar);
         IconCoordinate i = ItemModelDispatcher.getInstance().getDispatch(Item.ammoFireball).getIcon(null, Item.ammoFireball.getDefaultStack());
         i.parentAtlas.bindTexture();
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         float f3 = (float) i.getIconUMin();
         float f4 = (float) i.getIconUMax();
         float f5 = (float) i.getIconVMin();
diff --git a/src/main/java/net/minecraft/client/render/entity/FireflyRenderer.java b/src/main/java/net/minecraft/client/render/entity/FireflyRenderer.java
index da3c0c22a..1e8982f78 100644
--- a/src/main/java/net/minecraft/client/render/entity/FireflyRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/FireflyRenderer.java
@@ -2,9 +2,8 @@ package net.minecraft.client.render.entity;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.Lighting;
-import net.minecraft.client.render.tessalator.Tessellator;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.animal.EntityFireflyCluster;
 import net.minecraft.client.entity.fx.EntityFireflyFX;
 import org.lwjgl.opengl.GL11;
@@ -50,7 +49,7 @@ public class FireflyRenderer extends EntityRenderer<EntityFireflyCluster> {
 		TextureRegistry.particleAtlas.bindTexture();
 		for (int i = 0; i < fireflies.size(); i++) {
 			EntityFireflyFX firefly = fireflies.get(i);
-			TessellatorStandard t = TessellatorStandard.instance;
+			Tessellator t = Tessellator.instance;
 			t.startDrawingQuads();
 			firefly.renderParticleInGUI(t, partialTick);
 			t.draw();
diff --git a/src/main/java/net/minecraft/client/render/entity/GhastRenderer.java b/src/main/java/net/minecraft/client/render/entity/GhastRenderer.java
index d1ce91d8a..5eb2356eb 100644
--- a/src/main/java/net/minecraft/client/render/entity/GhastRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/GhastRenderer.java
@@ -1,7 +1,7 @@
 package net.minecraft.client.render.entity;
 
 import net.minecraft.client.render.model.ModelGhast;
-import net.minecraft.client.render.tessalator.Tessellator;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.monster.EntityGhast;
 import org.lwjgl.opengl.GL11;
 
diff --git a/src/main/java/net/minecraft/client/render/entity/ItemEntityRenderer.java b/src/main/java/net/minecraft/client/render/entity/ItemEntityRenderer.java
index 48e4f5b90..db48e8bd4 100644
--- a/src/main/java/net/minecraft/client/render/entity/ItemEntityRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/ItemEntityRenderer.java
@@ -12,8 +12,7 @@ import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.RenderBlocks;
 import net.minecraft.client.render.block.model.BlockModel;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
-import net.minecraft.client.render.tessalator.Tessellator;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.EntityItem;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.item.ItemStack;
@@ -23,7 +22,7 @@ import static org.lwjgl.opengl.GL11.glPushMatrix;
 
 // Referenced classes of package net.minecraft.src:
 //            Render, RenderBlocks, EntityItem, MathHelper,
-//            ItemStack, Block, TessellatorStandard, Item,
+//            ItemStack, Block, Tessellator, Item,
 //            RenderManager, RenderEngine, FontRenderer, Entity
 
 public class ItemEntityRenderer extends EntityRenderer<EntityItem>
@@ -78,7 +77,7 @@ public class ItemEntityRenderer extends EntityRenderer<EntityItem>
 		GL11.glTranslatef((float) x, (float) y + bobbingOffset, (float) z);
 		GL11.glEnable(32826 /*GL_RESCALE_NORMAL_EXT*/);
 		BlockModel.setRenderBlocks(renderBlocks);
-		ItemModelDispatcher.getInstance().getDispatch(item).renderAsItemEntity(TessellatorStandard.instance, entity, random, itemstack, renderCount, f3, brightness, partialTick);
+		ItemModelDispatcher.getInstance().getDispatch(item).renderAsItemEntity(Tessellator.instance, entity, random, itemstack, renderCount, f3, brightness, partialTick);
 		GL11.glDisable(32826 /*GL_RESCALE_NORMAL_EXT*/);
 		GL11.glPopMatrix();
 	}
diff --git a/src/main/java/net/minecraft/client/render/entity/LightningBoltRenderer.java b/src/main/java/net/minecraft/client/render/entity/LightningBoltRenderer.java
index 306a8e7b5..bc92080ec 100644
--- a/src/main/java/net/minecraft/client/render/entity/LightningBoltRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/LightningBoltRenderer.java
@@ -2,13 +2,12 @@ package net.minecraft.client.render.entity;
 
 import java.util.Random;
 
-import net.minecraft.client.render.tessalator.Tessellator;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.EntityLightningBolt;
 import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
-//            Render, TessellatorStandard, EntityLightningBolt, Entity
+//            Render, Tessellator, EntityLightningBolt, Entity
 
 public class LightningBoltRenderer extends EntityRenderer<EntityLightningBolt>
 {
@@ -20,7 +19,7 @@ public class LightningBoltRenderer extends EntityRenderer<EntityLightningBolt>
     public void func_27002_a(EntityLightningBolt lightningBolt, double d, double d1, double d2,
                              float f, float f1)
     {
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         GL11.glDisable(3553 /*GL_TEXTURE_2D*/);
         GL11.glDisable(2896 /*GL_LIGHTING*/);
         GL11.glEnable(3042 /*GL_BLEND*/);
diff --git a/src/main/java/net/minecraft/client/render/entity/LivingRenderer.java b/src/main/java/net/minecraft/client/render/entity/LivingRenderer.java
index a39bda049..516c13c48 100644
--- a/src/main/java/net/minecraft/client/render/entity/LivingRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/LivingRenderer.java
@@ -3,9 +3,8 @@ package net.minecraft.client.render.entity;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.FontRenderer;
 import net.minecraft.client.render.LightmapHelper;
-import net.minecraft.client.render.tessalator.Tessellator;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
 import net.minecraft.client.render.model.ModelBase;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.Global;
 import net.minecraft.core.entity.EntityLiving;
 import net.minecraft.core.util.helper.MathHelper;
@@ -14,7 +13,7 @@ import org.lwjgl.opengl.GL12;
 
 // Referenced classes of package net.minecraft.src:
 //            Render, ModelBase, EntityLiving, MathHelper, 
-//            RenderManager, TessellatorStandard, FontRenderer, Entity
+//            RenderManager, Tessellator, FontRenderer, Entity
 
 public class LivingRenderer<T extends EntityLiving> extends EntityRenderer<T>
 {
@@ -246,7 +245,7 @@ public class LivingRenderer<T extends EntityLiving> extends EntityRenderer<T>
         if (!depthTest) GL11.glDisable(2929 /* GL_DEPTH_TEST */);
         GL11.glEnable(3042 /* GL_BLEND */);
         GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
-        final TessellatorStandard tessellator = TessellatorStandard.instance;
+        final Tessellator tessellator = Tessellator.instance;
         byte byte0 = 0;
         GL11.glDisable(3553 /* GL_TEXTURE_2D */);
         tessellator.startDrawingQuads();
diff --git a/src/main/java/net/minecraft/client/render/entity/MinecartRenderer.java b/src/main/java/net/minecraft/client/render/entity/MinecartRenderer.java
index 37c909384..cce32babd 100644
--- a/src/main/java/net/minecraft/client/render/entity/MinecartRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/MinecartRenderer.java
@@ -4,9 +4,8 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
 import net.minecraft.client.render.model.ModelBase;
 import net.minecraft.client.render.model.ModelMinecart;
-import net.minecraft.client.render.tessalator.Tessellator;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.vehicle.EntityMinecart;
 import net.minecraft.core.Global;
 import net.minecraft.core.block.Block;
@@ -33,7 +32,7 @@ public class MinecartRenderer extends EntityRenderer<EntityMinecart>
     {
         GL11.glPushMatrix();
 
-        Tessellator tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         double d3 = minecart.xo + (minecart.x - minecart.xo) * (double)f1;
         double d4 = minecart.yo + (minecart.y - minecart.yo) * (double)f1;
         double d5 = minecart.zo + (minecart.z - minecart.zo) * (double)f1;
diff --git a/src/main/java/net/minecraft/client/render/entity/MobRenderer.java b/src/main/java/net/minecraft/client/render/entity/MobRenderer.java
index 85e2964c3..e597567db 100644
--- a/src/main/java/net/minecraft/client/render/entity/MobRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/MobRenderer.java
@@ -2,7 +2,7 @@ package net.minecraft.client.render.entity;
 
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
 import net.minecraft.client.render.model.ModelBiped;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.EntityLiving;
 import net.minecraft.core.item.ItemStack;
 import org.lwjgl.opengl.GL11;
@@ -27,7 +27,7 @@ public class MobRenderer<T extends EntityLiving> extends LivingRenderer<T>
 		if(itemstack != null) {
 			GL11.glPushMatrix();
 			modelBipedMain.bipedRightArm.postRender(0.0625F);
-			ItemModelDispatcher.getInstance().getDispatch(itemstack.getItem()).renderItemThirdPerson(TessellatorStandard.instance, renderDispatcher.itemRenderer, entity, itemstack, true);
+			ItemModelDispatcher.getInstance().getDispatch(itemstack.getItem()).renderItemThirdPerson(Tessellator.instance, renderDispatcher.itemRenderer, entity, itemstack, true);
 			GL11.glPopMatrix();
 		}
 	}
diff --git a/src/main/java/net/minecraft/client/render/entity/PaintingRenderer.java b/src/main/java/net/minecraft/client/render/entity/PaintingRenderer.java
index 127aa1642..5651cce7f 100644
--- a/src/main/java/net/minecraft/client/render/entity/PaintingRenderer.java
+++ b/src/main/java/net/minecraft/client/render/entity/PaintingRenderer.java
@@ -2,8 +2,7 @@ package net.minecraft.client.render.entity;
 
 import net.minecraft.client.render.stitcher.IconCoordinate;
 import net.minecraft.client.render.stitcher.TextureRegistry;
-import net.minecraft.client.render.tessalator.Tessellator;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.Global;
 import net.minecraft.core.entity.EntityPainting;
 import net.minecraft.core.enums.ArtType;
@@ -193,7 +192,7 @@ public class PaintingRenderer extends EntityRenderer<EntityPainting>
                 float minV = v + 0.25f;
                 float maxV = v;
 
-                Tessellator tessellator = TessellatorStandard.instance;
+                Tessellator tessellator = Tessellator.instance;
                 tessellator.startDrawingQuads();
                 tessellator.setNormal(0.0f, 0.0f, 1.0f);
                 tessellator.addVertexWithUV(maxX, minY, minZ, maxU, minV);
